package java_lec06.samples;

import java.applet.Applet;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;

@SuppressWarnings("serial")
public class Sample_AppletActionListener extends Applet implements ActionListener{

	/**
	 * ボタンのオブジェクト
	 */
	private JButton button;
	
	@Override
	public void init(){
		setSize(250, 250);
		
		//ボタンを生成
		button = new JButton("Button");
		
		//ボタンにアクションリスナーを登録
		//このクラスはActionListenerを実装しているので、このクラス自体を登録する
		button.addActionListener(this);
		
		//アプレットにボタンを貼り付ける
		add(button);
	}
	/**
	 * 何かアクションが起こったとき(この場合は、ボタンが押されたとき)、
	 * actionPerformed()メソッドが呼び出される
	 */
	@Override
	public void actionPerformed(ActionEvent e) {
		System.out.println(button.getText() + "が押されました.");
	}

}
